TIC(1V)

NAME
tic - terminfo compiler

SYNOPSIS
tic [ -v [ n ] ] filename...

DESCRIPTION

Note: Optional Software (System V Option). Refer to Installing UNIX on the Sun Workstation for information on how to install this command.

tic translates terminfo files from the source format into the compiled format. The results are placed in the directory /usr/5lib/terminfo.

tic compiles all terminfo descriptions in the given files. When a use= field is discovered, tic searches first the current file, then the master file, which is ./terminfo.src.

OPTIONS

-v  Verbose. Produce trace information showing tic's progress. With the optional integer n, the degree of verbosity can be increased.

ENVIRONMENT
If the environment variable TERMINFO is set, the results are placed there instead of /usr/5lib/terminfo.

LIMITATIONS
Some limitations: total compiled entries cannot exceed 4096 bytes. The name field cannot exceed 128 bytes.

FILES
/usr/5lib/terminfo/*/*
    compiled terminal capability data base

SEE ALSO
curses(3V), term(5), terminfo(5V)

BUGS
Instead of searching ./terminfo.src, it should check for an existing compiled entry.